Bug 1887887 (CVE-2020-9480) - CVE-2020-9480 apache-spark: RCE vulnerability in auth-enabled standalone master
Summary: CVE-2020-9480 apache-spark: RCE vulnerability in auth-enabled standalone master
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-9480
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1886186
TreeView+ depends on / blocked
 
Reported: 2020-10-13 14:13 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-10-19 13:18 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-14 02:21:14 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-10-13 14:13:22 UTC
In Apache Spark 2.4.5 and earlier, a standalone resource manager's master may be configured to require authentication (spark.authenticate) via a shared secret. When enabled, however, a specially-crafted RPC to the master can succeed in starting an application's resources on the Spark cluster, even without the shared key. This can be leveraged to execute shell commands on the host machine. This does not affect Spark clusters using other resource managers (YARN, Mesos, etc).

Reference:
https://spark.apache.org/security.html#CVE-2020-9480

Upstream patch:
https://github.com/apache/spark/commit/61b7d446b37cecc45e6d274bbfdde3b745bf068f

Comment 1 Product Security DevOps Team 2020-10-14 02:21:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9480


Note You need to log in before you can comment on or make changes to this bug.